org.richfaces.renderkit.html.images

## Enum GradientAlignment

- java.lang.Object
- - java.lang.Enum<GradientAlignment>
  - - org.richfaces.renderkit.html.images.GradientAlignment

- All Implemented Interfaces:
    Serializable, Comparable<GradientAlignment>

      public enum GradientAlignment
      extends Enum<GradientAlignment>

  Created 22.04.2008
  Since:
    3.2
  Author:
    Nick Belaevski

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `bottom`
    `middle`
    `top`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract int` | `getBottomRectangleHeight(int imageHeight, int gradientHeight)`
    `static GradientAlignment` | `getByParameter(String string)`
    `abstract int` | `getTopRectangleHeight(int imageHeight, int gradientHeight)`
    `static GradientAlignment` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static GradientAlignment[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### top

          public static final GradientAlignment top

    - #### middle

          public static final GradientAlignment middle

    - #### bottom

          public static final GradientAlignment bottom

  - ### Method Detail

    - #### values

          public static GradientAlignment[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (GradientAlignment c : GradientAlignment.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static GradientAlignment valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getByParameter

          public static final GradientAlignment getByParameter(String string)

    - #### getTopRectangleHeight

          public abstract int getTopRectangleHeight(int imageHeight,
                                                    int gradientHeight)

    - #### getBottomRectangleHeight

          public abstract int getBottomRectangleHeight(int imageHeight,
                                                       int gradientHeight)

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.